summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--larbs.sh10
1 files changed, 5 insertions, 5 deletions
diff --git a/larbs.sh b/larbs.sh
index 1ee76b7..3108140 100644
--- a/larbs.sh
+++ b/larbs.sh
@@ -65,7 +65,8 @@ adduserandpass() { \
refreshkeys() { \
dialog --infobox "Refreshing Arch Keyring..." 4 40
- pacman --noconfirm -Sy archlinux-keyring >/dev/null 2>&1
+ pacman --noconfirm -S archlinux-keyring >/dev/null 2>&1
+ pacman -Q artix-keyring >/dev/null 2>&1 && pacman --noconfirm -S archlinux-keyring >/dev/null 2>&1
}
newperms() { # Set special sudoers settings for install (or after).
@@ -149,7 +150,7 @@ finalize(){ \
### This is how everything happens in an intuitive format and order.
# Check if user is root on Arch distro. Install dialog.
-installpkg dialog || error "Are you sure you're running this as the root user, are on an Arch-based distribution and have an internet connection?"
+pacman --noconfirm --needed -Sy dialog || error "Are you sure you're running this as the root user, are on an Arch-based distribution and have an internet connection?"
# Welcome user and pick dotfiles.
welcomemsg || error "User exited."
@@ -204,10 +205,9 @@ yes | sudo -u "$name" $aurhelper -S libxft-bgra-git >/dev/null 2>&1
# Install the dotfiles in the user's home directory
putgitrepo "$dotfilesrepo" "/home/$name" "$repobranch"
-rm -f "/home/$name/README.md" "/home/$name/LICENSE" "/home/$name/FUNDING.yml"
+rm -f "/home/$name/"{README.md,LICENSE,FUNDING.yml}
# make git ignore deleted LICENSE & README.md files
-git update-index --assume-unchanged "/home/$name/README.md"
-git update-index --assume-unchanged "/home/$name/LICENSE"
+git update-index --assume-unchanged "/home/$name/"{README.md,LICENSE,FUNDING.yml}
# Most important command! Get rid of the beep!
systembeepoff